Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 981498 - No underscore sanity checking on creating usernames
No underscore sanity checking on creating usernames
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Retired
Component: Usability (Show other bugs)
development
All All
unspecified Severity low
: ---
: 3.7
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 20:41 EDT by Damian Jansen
Modified: 2015-07-21 22:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3675)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 22:20:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-07-04 20:41:02 EDT
Description of problem:
There's not sanity checking, or defined rules for that matter, for what is acceptable in a username regarding underscores. A username of "______" is valid, but not desirable.

Version-Release number of selected component (if applicable):
Dev

How reproducible:
Easily, always

Steps to Reproduce:
1. Go to zanata/account/register
2. Enter in a username of ______
3. tab to another field

Actual results:
No error shown

Expected results:
This case should not be acceptable.

Additional info:
The registration form can be completed, such that a new user with username "______" is created.
Comment 1 Alex Eng 2015-05-31 20:55:21 EDT
Pull request:
https://github.com/zanata/zanata-server/pull/835
Comment 2 Damian Jansen 2015-06-01 00:18:39 EDT
Verified at 1e5f1b1a87acca1b87a1f798a0c1e89d5c5263e3

Note You need to log in before you can comment on or make changes to this bug.